# MovableJive
# Port of the classic jive filter to MT
#
# Copyright 2002 Kalsey Consulting Group
# http://kalsey.com/
# Using this software signifies your acceptance of the license
# file that accompanies this software.

use MT;

MT->add_text_filter(jive => {
	label => 'Jive',
	on_format => sub { &jive; },
});

MT->add_text_filter(texan => {
	label => 'Texas Drawl',
	on_format => sub { &texan; },
});

MT->add_text_filter(cockney => {
	label => 'Cockney',
	on_format => sub { &cockney; },
});

MT->add_text_filter(chef => {
	label => 'Swedish Chef',
	on_format => sub { &chef; },
});

MT->add_text_filter(valley => {
	label => 'Valley Girl',
	on_format => sub { &valley; },
});

MT->add_text_filter(kraut => {
	label => 'German Accent',
	on_format => sub { &kraut; },
});

MT->add_text_filter(fudd => {
	label => 'Hunting Wabbits',
	on_format => sub { &fudd; },
});

sub fudd {
    $_=shift;
    s%(r|l)%w%g;
    s%qu%qw%g;
    s%th(\s)%f$1%g;
    s%th%d%g;
    s%n\.%n, uh-hah-ha-ha\.%g;

    s%(R|L)%W%g;
    s%(Qu|QW)%QW%g;
    s%TH(\s)%F$1%g;
    s%Th%D%g;
    s%N\.%N, uh-hah-hah-hah\.%g;

    convert_breaks($_);
}

sub kraut {
    $_=shift;
    s%ing%ingkt%g;
    s% the % ze %g;
    s%The %Ze %g;
    s% with % mitt %g;
    s%With %Mitt %g;
    s% is% iss%g;
    s% Is% Iss%g;
    s%wr%w-r-r%g;
    s%Wr%W-r-r%g;
    s%R%R-r-r%g;
    s% r% r-r-r%g;
    s%Yes( |\.|!)%Jawohl$1%g;
    s%YES!%JAWOHL!%g;
    s% yes( |.|!)% ja$1%g;
    s%No( |!|\?) %Nein$1%g;
    s% no( |\.|!|\?)% nein$1%g;
    s% not% nicht%g;
    s%Not%Nicht%g;
    s%[Mm]r.%Herr%g;
    s%[Mm]rs.%Frau%g;
    s%Miss%Fraulein%g;
    s% of % uff %g;
    s%Of %Uff %g;
    s%my%mein%g;
    s%My%Mein%g;
    s% and % undt %g;
    s%And %Undt %g;
    s%and%ent%g;
    s%One %Ein %g;
    s% one% ein%g;
    s%Is %Ist %g;
    s% is % ist %g;
    s%ow %ow %g;
    s%w %w %g;
    s% sc% shc%g;
    s%Sc%Shc%g;
    s% st% sht%g;
    s%St%Sht%g;
    s%sh%sch%g;
    s%Sh%Sch%g;
    s%ch%ch%g;
    s%Ch%Ch%g;
    s% c% k%g;
    s% C% K%g;
    s% for % fur %g;
    s%Have%Haf%g;
    s%have%haf%g;
    s%j%ch%g;
    s%J%Ch%g;
    s%Qu%Qv%g;
    s%qu%qv%g;
    s%rd%rt%g;
    s%v%f%g;
    s%V%F%g;
    s% w% v%g;
    s%W%V%g;
    s%ward%verrt%g;
    s%wh%v%g;
    s%Wh%V%g;
    s% th% z%g;
    s%Th%Z%g;
    s%th%zz%g;
    s%[Cc]offee%Kafe%g;
    s%[Tt]hank[s]*%Danke%g;
    s%[Jj]ohn%Johann%g;
    s%[Ww]illiam%Wilhelm%g;
    s%[Bb]rad%Wilhelm%g;
    s%[Gg]ary%Gerhardt%g;
    s%[Jj]on%Hansel%g;
    s%[a-f]!%$1 Naturlich!%g;
    s%[p-z]!%$1 Seig Heil!%g;

    convert_breaks($_);
}

sub jive {
	$_=shift;
	s%file%stash%g;
	s%send%t'row%g;
	s%program%honky code%g;
	s%atlas%Isaac%g;
	s%unix%slow mo-fo%g;
	s%UNIX%that slow mo-fo%g;
	s%takes%snatch'd%g;
	s%Mexican%wet-back%gi;
	s%Italian%greaser%gi;
	s%take%snatch%g;
	s%don't%duzn't%g;
	s%jive%JIBE%g;
	s%fool%honkyfool%g;
	s%modem%doodad%g;
	s%e the %e da damn %g;
	s%a the %a da damn %g;
	s%t the %t da damn %g;
	s%d the %d da damn %g;
	s% man % dude %g;
	s%woman%mama%g;
	s%girl%goat%g;
	s%somethin%sump'n%g;
	s% lie % honky jibe %g;
	s%([a-b]\.)%$1 Sheeeiit.%g;
	s%([e-f]\.)%$1 What it is, Mama!%g;
	s%([i-j]\.)%$1 Ya' know?%g;
	s%([m-n]\.)%$1 'S coo', bro.%g;
	s%([q-r]\.)%$1 Ah be baaad...%g;
	s%([u-v]\.)%$1 Man!%g;
	s%([y-z]\.)%$1 Slap mah fro!%g;
	s%Sure%Sho' nuff%g;
	s%sure%sho' nuff%g;
	s% get	% git%g;
	s%will have%gots'ta%g;
	s%will%gots'ta %g;
	s%got to%gots'ta%g;
	s%I am%I's gots'ta be%g;
	s%am not %aint %g;
	s%is not %aint %g;
	s%are not %aint%g;
	s% are your	% is yo' %g;
	s% are you	% you is %g;
	s% hat % fedora %g;
	s% shoe % kicker %g;
	s%haven't%aint%g;
	s%have to%gots'ta%g;
	s%have%gots'%g;
	s% has% gots'ta%g;
	s%come over%mosey on down%g;
	s% come % mosey on down %g;
	s%!%.  Right On!%g;
	s%buy	%steal%g;
	s %car % wheels %g;
	s%drive%roll%g;
	s% eat % feed da bud %g;
	s% black % brother %g;
	s% negro % brother%g;
	s%white%honky%g;
	s%nigger% gentleman %g;
	s%nice%supa' fine%g;
	s%person%sucka'%g;
	s% thing% wahtahmellun%g;
	s%home%plantation%g;
	s%name%dojigger%g;
	s% path% alley%g;
	s%computer%clunker%g;
	s%or%o'%g;
	s%killed%wasted%g;
	s%president%super-dude%g;
	s%prime minister%super honcho%g;
	s%injured%hosed%g;
	s%government%guv'ment%g;
	s%knew%knowed%g;
	s%because%a'cuz%g;
	s%Because%A'cuz%g;
	s%your%yo'%g;
	s%Your%Yo'%g;
	s%four%foe%g;
	s%got%gots%g;
	s%aren't%ain't%g;
	s%young%yung%g;
	s%you%ya'%g;
	s%You%You's%g;
	s%first%fust%g;
	s%police%honky pigs%g;
	s% string% chittlin'%g;
	s% read% eyeball%g;
	s%write%scribble%g;
	s%th%d%g;
	s%Th%D%g;
	s%ing%in'%g;
	s% a % some %g;
	s% to\s+% t'%g;
	s%tion%shun%g;
	s% almost % mos' %g;
	s% from% fum%g;
	s% because % cuz' %g;
	s%you're%youse%g;
	s%You're%Youse%g;
	s%alright%coo'%g;
	s%okay%coo'%g;
	s%er %a' %g;
	s%known%knode%g;
	s%want%wants'%g;
	s%beat%whup'%g;
	s%exp%'sp%g;
	s%exs%'s%g;
	s% exc% 's%g;
	s% ex% 'es%g;
	s%like%likes%g;
	s%did	%dun did%g;
	s%kind of%kind'a%g;
	s%women%honky chicks%g;
	s% men % dudes %g;
	s% mens % dudes %g;
	s% man % dude %g;
	s%woman%honky chick%g;
	s%dead%wasted%g;
	s%good%baaaad%g;
	s%open %jimmey %g;
	s%opened %jimmey'd %g;
	s% very% real%g;
	s%per%puh'%g;
	s%pera%puh'%g;
	s%oar%o'%g;
	s% can% kin%g;
	s%just %plum %g;
	s%detroit%Mo-town%g;
	s%western electric%da' cave%g;
	s% believe% recon'%g;
	s%[Ii]ndianapolis%Nap-town%g;
	s% [Jj]ack% Buckwheat%g;
	s% [Bb]ob % Liva' Lips %g;
	s% [Pp]hil % dat fine soul %g;
	s% [Mm]ark % Amos %g;
	s%[Rr]ober%Leroy%g;
	s%[Ss]andy%dat fine femahnaine ladee%g;
	s%[Jj]ohn %Raz'tus %g;
	s% [Pp]aul% Fuh'rina%g;
	s%[Rr]eagan%Kingfish%g;
	s%[Dd]avid%Issac%g;
	s%[Rr]onald%Rolo%g;
	s% [Jj]im % Bo-Jangles %g;
	s% [Mm]ary% Snow Flake%g;
	s%[Ll]arry%Remus%g;
	s%[Jj]oe%Massa' %g;
	s%[Jj]oseph%Massa' %g;
	s%mohammed%liva' lips%g;
	s%pontiff%wiz'%g;
	s%pope%wiz'%g;
	s%pravda%dat commie rag%g;
	s%broken%bugger'd%g;
	s%strange %funky %g;
	s%dance %boogy %g;
	s% house% crib%g;
	s%ask	%ax'%g;
	s% so % so's %g;
	s%head%'haid%g;
	s%boss%main man%g;
	s%wife%mama%g;
	s%people%sucka's%g;
	s%money%bre'd%g;
	s%([a-z]):%$1, dig dis:%g;
	s%amateur%begina'%g;
	s%radio	%transista'%g;
	s% of % uh %g;
	s%what%whut%g;
	s%does%duz%g;
	s%was%wuz%g;
	s% were% wuz%g;
	s%understand it%dig it%g;
	s%understand%dig it%g;
	s% my% mah'%g;
	s% [Ii] % ah' %g;
	s%meta%meta-fuckin'%g;
	s%hair%fro%g;
	s%talk%rap%g;
	s%music%beat%g;
	s%basket%hoop%g;
	s%football%ball%g;
	s%friend%homey%g;
	s%school%farm%g;
	s%boss%Man%g;
	s%want to%wanna%g;
	s%wants to%be hankerin' aftah%g;
	s%well%sheeit%g;
	s%Well%Sheeit%g;
	s%big%big-ass%g;
	s%bad%bad-ass%g;
	s%small%little-ass%g;
	s%sort of%radical%g;
	s% is % be %g;
	s%water%booze%g;
	s%book%scribblin'%;
	s%magazine%issue of GQ%g;
	s%paper%sheet%g;
	s%\bup\b%down%g;
	s%\bdown\b%waaay down%g;
	s%break%boogie%g;
	s%Hi%'Sup, dude%g;
	s%VAX%pink Cadillac%g;
    convert_breaks($_);
}

sub cockney {
    $_=shift;
    m%(the|this|that|them)%i || s% th% f%g;
    m%(the|this|that|them)%i || s%th%ff%g;
    s%(U|u)pstairs%$1p the apples and pears%g;
    s%(D|d)ownstairs%$1own the apples and pears%g;
    s%stairs%apples and pears%g;

    s%(M|m)outh%North and South%g;
    s%(F|f)ace%Boat Race%g;
    s%(T|t)rouble%barney Rubble%g;
    s%wife%&rand("trouble and strife","ole lady")%ge;

    s%Road%Frog and Toad%g;
    s% road% frog and toad%g;
    s%pub %rub-a-dub %g;
    s% bar % boozer %g;
    s% husband% ole man%g;
    s%Party%Knees-up%g;
    s%party%knees-up%g;
    s%Parties%Knees-ups%g;
    s%parties%knees-ups%g;
    s%My%Me%g;
    s% my% me%g;
    s%Your%Yer%g;
    s%your%yer%g;
    s%You are%Yer %g;
    s%you are%yer %g;
    s%You%Yer%g;
    s%you%yer%g;
    s%Those%Them%g;
    s%those%them%g;
    s% those% them%g;
    s%\(those%\(them%g;
    s%Thus%So%g;
    s% thus% so%g;
    s%\(thus%\(so%g;
    s%thus%so%g;
    s% old % ole %g;
    s% to % ter %g;
    s%Aren't you%Aintcha %g;
    s%aren't you%aintcha %g;
    s%Aren't%Ain't%g;
    s%aren't%ain't%g;
    s%Isn't%Ain't%g;
    s%isn't%ain't%g;
    s%Are not %Ain't%g;
    s%are not %ain't %g;
    s%Is not %Ain't %g;
    s% is not % ain't %g;
    s%What is th%Woss%g;
    s%what is th%woss%g;
    s%What are you %Wotcher %g;
    s%what are you %wotcher %g;
    s%What you are%Wotcher%g;
    s%what you are%wotcher%g;
    s%What you're%Wotcher%g;
    s%what you're%wotcher%g;
    s%What are your%Wotcher%g;
    s%what are your%wotcher%g;
    s%What do you%Wotcher %g;
    s%what do you %wotcher %g;
    s%What do your%Wotcher%g;
    s%what do your%wotcher%g;
    s% H[aeu]llo% Wotcher%g;
    s% h[aeu]llo% wotcher%g;
    s%What%Wot%g;
    s%what%wot%g;
    s%Were%Was%g;
    s%were %was%g;
    s%Bother%Ars%g;
    s%bother%ars%g;
    s%Mother%Muvver%g;
    s%Other%Uvver%g;
    s%other%uvver%g;
    s%Father%Favver%g;
    s%father%favver%g;
    s%Rather%Ravver%g;
    s%rather%ravver%g;
    s%Weather%Wevver%g;
    s%weather%wevver%g;
    s%Leather%Levver%g;
    s%leather%levver%g;
    s%Wither%Wivver%g;
    s%wither%wivver%g;
    s%Either%Eever%g;
    s%either%eever%g;
    s%With%Wiv%g;
    s%with%wiv%g;
    s%Anything%Anyfink%g;
    s%anything%anyfink%g;
    s%Something%Sumfink%g;
    s%something%sumfink%g;
    s%Nothing%Nuffink%g;
    s%nothing%nuffink%g;
    s%guitars%spoons%g;
    s%guitar%spoons%g;
    s%drums%spoons%g;
    s%drum%spoons%g;
    s%trumpets%spoons%g;
    s%trumpet%spoons%g;
    s%violins%spoons%g;
    s%violin%spoons%g;
    s%clarinets%spoons%g;
    s%clarinet%spoons%g;
    s%trombones%spoons%g;
    s%trombone%spoons%g;
    s%oboes%spoons%g;
    s%oboe%spoons%g;
    s%flutes%spoons%g;
    s%flute%spoons%g;
    s%tubas%spoons%g;
    s%tuba%spoons%g;
    s%Data%Info%g;
    s%data%info%g;
    s%Directory%Lockup%g;
    s%directory%lockup%g;
    s%Directories%Lockups%g;
    s%directories%lockups%g;
    s%[Cc]omputer%French Tutor%g;
    s%[Bb]yte%Jimmy White%g;
    s%[Ff]iles%Nobby Stiles%g;
    s%[Ff]ile%Royal Mile%g;
    s%[Ll]anguage%'Am Sandwich%g;
    s%[Zz]ero%Emperor Nero%g;
    s%[Jj]ob%Uncle Bob%g;
    s%[Ss]hell%Bow Bell%g;
    s%[Ss]ave%Chas'n'Dave%g;
    s%[Ll]oad%Old Kent Road%g;
    s%[Mm]ouse%Doll's 'Ouse%g;
    s%[Bb]uffer%Sausage Stuffer%g;
    s%[Kk]eyboard%Henry Ford%g;
    s%[Mm]anual%Cocker Spaniel%g;
    s%[Ss]creen%James Dean%g;
    s%[Pp]rinter%'Arold Pinter%g;
    s%[Pp]lotter%Pansy Potter%g;
    s%[Cc]ompiler%Martin Tyler%g;
    s%[Ss]tring%Emperor Ming%g;
    s%[Bb]rain%Michael Caine%g;
    s%[Aa][Ll][Gg][Oo][Ll]%Johnny Ball%g;
    s%[Ff][Oo][Rr][Tt][Rr][Aa][Nn]%Manfred Mann%g;
    s%[Cc][Oo][Bb][Oo][Ll]%Albert Hall%g;
    s%Stopped%'Ad the mockers put on%g;
    s%stopped%'ad the mockers put on%g;
    s%Stopping%Putting the mockers on%g;
    s%stopping%putting the mockers on%g;
    s%stops%puts the mockers on%g;
    s%stop%put the mockers on%g;
    s%STOP%Put The Mockers On%g;
    s%[Ll]ondoner%Cockney%g;
    s%a h%an '%g;
    s%A h%An '%g;
    s% h% '%g;
    s% H% '%g;
    s% C-% Bruce Lee-%g;
    s% C\.% Circus Flea.%g;
    m%who%i || s%Wh%W%g;
    m%who%i || s%wh%w%g;
    s%aw%or%g;
    s%ing %in' %g;
    s%( s| r)in'%$1ing%g;
    s%[Pp]rocess%&rand("Queen Bess","Rudolf 'Ess")%ge;
    s%pascal%&rand("Pall Mall","Roald Dahl")%gie;
    s%friend%&rand("mucker","mate","china")%ge;

    s% C %" ".&rand("Bruce Lee","Circus Flea","Bumble Bee","Door Key")." "%ge;

    my (@null, $i);
    foreach $i (4..31) { push @null, "_" }
    s%\.(\s*)%".".&rand(" I'll get out me spoons."," Yer can't 'ave a knees-up wivout a joanna."," Cor blimey guv, would I lie to you."," I'll make us all a nice cup of tea.".$1,@null).$1%ge;

    s%\?(\s*)%&rand(", mate?",", guv?",", squire?").$1%ge;

    s%\!(\s*)%&rand(", cor blimey!","! Struth!",", guv!","! Honest guv!",", mate!", "_").$1%ge;

    if (int(rand(5))==1) {
        s%The(\s+)%The bleedin'$1%g;
        s%(\s+)the%$1the bleedin'%g || s%the(\s+)%the bleedin'$1%g;
    }

    convert_breaks($_);
}

sub chef {
    $_=shift;
    s%([\.!\?])\s*$%$1\nBork Bork Bork!%g;

    s%an%un%g;
    s%An%Un%g;

    s%au%oo%g;
    s%Au%Oo%g;
    s%(\w)ew%$1oo%g;
    s%(\w)ow%$1oo%g;
    s%(\W)o%$1oo%g;
    s%(\W)O%$1Oo%g;
    s%(\w)u%$1oo%g;
    s%(\w)U%$1Oo%g;

    s%a(\w)%e$1%g;
    s%A(\w)%E$1%g;
    s%en(\W)%ee$1%g;

    s%(\w)e(\W)%$1e-a$2%g;
    s%(\W)e%$1i%g;
    s%(\W)E%$1I%g;

    s%(\w)f%$1ff%g;

    s%(\w)ir%$1ur%g;

    s%([a-m])i%$1ee%g; # Used a counter previously, rewritten to be random
    s%([A-M])i%$1EE%g;

    s%(\w)o%$1u%g;
    s%the%zee%g;
    s%The%Zee%g;
    s%th(\W)%t$1%g;
    s%(\w)tion%$1shun%g;
    s%v%f%g;
    s%V%F%g;
    s%w%v%g;
    s%W%V%g;


    s%f{2,}%ff%g;
    s%o{2,}%oo%g;
    s%e{2,}%ee%g;

    convert_breaks($_);
}

sub texan {
    $_=shift;
    s%\bAmerican%Amerkin%g;
    s%\bCalifornia%Caleyfornyuh%g;
    s%\bDallas%\bBig D.%g;
    s%\bFort Worth%Fowert Wurth%g;
    s%\bHouston%Useton%g;
    s%\bI don't know%I-O-no%g;
    s%\b(I will|I'll)%Ahl%g;
    s%\bI would%Ahd%g;
    s%\bI %Ah %g;
    s%\b(I'm|I am) %Ahm %g;
    s%\b(I've|I have) %Ahv %g;
    s%\bMexico%Messyco%g;
    s%\bSan Antonio%Santone%g;
    s%\b(TV|television|telly)%tayvay%g;
    s%\bTexan%Texun%g;
    s%\bTexas%Teksus%g;
    s%\ba while %uhwahl %g;
    s%\ba %uh %g;
    s%\babout%bout%g;
    s%\badult%a-dult%g;
    s%\bafraid%frayed%g;
    s%\band %an %g;
    s%\banniversary%anavarsry%g;
    s%\bany %no %g;
    s%\banywhere%anywhare%g;
    s%\bappreciate%preshate%g;
    s%\bapril%abrul%g;
    s%\bare going to%sargunna%g;
    s%\bare known%iz node%g;
    s%\bare %is %g;
    s%\baren't you%arncha%g;
    s%\bat them%attum%g;
    s%\baugust%awg-ghust%g;
    s%\baway%awf%g;
    s%\bawkward%aukerd%g;
    s%\bbad%bayud%g;
    s%\bball%bawl%g;
    s%\bbaptists%babtusses%g;
    s%\bbarbed%bob%g;
    s%\bbe %bay %g;
    s%\bbear%bayur%g;
    s%\bbeautiful%butiful%g;
    s%\bbecause%cuz%g;
    s%\bbelieve%bleeve%g;
    s%\bbitty%biddy%g;
    s%\bblack%blaak%g;
    s%\bblue%bulloo%g;
    s%\bborn%bornd%g;
    s%\bbrake%brayke%g;
    s%\bbreak%brayke%g;
    s%\bbrick%breck%g;
    s%\bbrighter%brotter%g;
    s%\bbringing%brangin%g;
    s%\bbrown%braoyone%g;
    s%\bbuilding%bildun%g;
    s%\bbulb%bub%g;
    s%\bcall you %cawya %g;
    s%\bcalled you %cawdja %g;
    s%\bcamera%Instuhmatik%g;
    s%\b(can't|can not|cannot)%kaynt%g;
    s%\bcapital%captul%g;
    s%\bcar %cawer %g;
    s%\bcatch%ketch%g;
    s%\bchair%chayer%g;
    s%\bcheer%chair%g;
    s%\bchicken%chikun%g;
    s%\bchild%kid%g;
    s%\bchildren%kids%g;
    s%\bclean%klane%g;
    s%\bclimate%kliment%g;
    s%\bcold%code%g;
    s%\bdarker%dawerker%g;
    s%\bdeaf%dayuf%g;
    s%\bdeath%dayuth%g;
    s%\bdecember%deceyumbur%g;
    s%\bdefinite%defnut%g;
    s%\b(did not|didn't)%didunt%g;
    s%\bdid you%dja%g;
    s%\bdidn't it%diduhnit%g;
    s%\bdifferent%difernt%g;
    s%\bdifficult%difahkult%g;
    s%\bdivide%duhvide%g;
    s%\bdoes%\bduz%g;
    s%\bdoesn't%don't%g;
    s%\bdog %dawg %g;
    s%\bI don't care %don't make no nevur mind to may %g;
    s%\bdoor%dower%g;
    s%\bdreaming%draimun%g;
    s%\bdrink%drank%g;
    s%\bdrinking%drankin%g;
    s%\bdrive%drahv%g;
    s%\beight%ate%g;
    s%\beighteen%a-tane%g;
    s%\beighth%athd%g;
    s%\beighty%ady%g;
    s%\beleven%lebum%g;
    s%\bentire%entahr%g;
    s%\bespecially%speshuly%g;
    s%\beven%evun%g;
    s%\bevening%eevnun%g;
    s%\beventually%eventchly%g;
    s%\bever%evur%g;
    s%\bevery once in a while%evurwonsinawhahl%g;
    s%\bevery%evur%g;
    s%\bexactly%zakly%g;
    s%\bexecutive%zekatuv%g;
    s%\beye %ah %g;
    s%\bfather%papa%g;
    s%\bfebruary%febberyawary%g;
    s%\bfell %fayul %g;
    s%\bfifteen%fiftane%g;
    s%\bfifth%fifd%g;
    s%\bfifty%fifdy%g;
    s%\bfight%fite%g;
    s%\bfigure%figger%g;
    s%\bfilling%fillin%g;
    s%\bfine%fahn%g;
    s%\bfire%far%g;
    s%\bfirst%fursd%g;
    s%\bfive%fav%g;
    s%\bfixing%fixin%g;
    s%\bflower%flare%g;
    s%\bfollow%faller%g;
    s%\bfor %fahwar %g;
    s%\bforget%fergit%g;
    s%\bfork%fowerk%g;
    s%\bforty%fardy%g;
    s%\bfour%fower%g;
    s%\bfourteen%fortane%g;
    s%\bfourth%fowerth%g;
    s%\bfreeze%fraze%g;
    s%\bfriday%frydy%g;
    s%\bfrom%frum%g;
    s%\bfront%frunt%g;
    s%\bgas%\bgayus%g;
    s%\bgeography%joggerfee%g;
    s%\bget a hold of you%gittaholdayew%g;
    s%\bget%git%g;
    s%\bgoing to%gunna%g;
    s%\bgoing to%mona%g;
    s%\bgold%gode%g;
    s%\bgot to %gotta %g;
    s%\bgreen%grane%g;
    s%\b(grey|gray)%graey%g;
    s%\bguests%\bguesss%g;
    s%\bguitar%gitahwer%g;
    s%\bgulf%guf%g;
    s%\bhard%hayud%g;
    s%\bhave a %havuh %g;
    s%\b(have not|haven't)%habumt%g;
    s%\bhave %hav %g;
    s%\bhe %hay %g;
    s%\bheaded%hardud%g;
    s%\bhere%hare%g;
    s%\bhigh%ha%g;
    s%\bhour%air%g;
    s%\bhow are you%hyeru%g;
    s%\bhow do you do %howdee %g;
    s%\bhuh!%hawh!%g;
    s%\bhuh\?%hawh\?%g;
    s%\bhundred%hunnerd%g;
    s%\bif I %fah %g;
    s%\bif it %hifit %g;
    s%\bif you%few%g;
    s%\bif %hif %g;
    s%\bing\b%in'%g;
    s%\bignorance%ignernt%g;
    s%\bindian%hinyun%g;
    s%\binside%n-sod%g;
    s%\binstead of%instudda%g;
    s%\binstitute%instatoot%g;
    s%\bintersection%innersekshun%g;
    s%\bis a %izza %g;
    s%\bis it %izit %g;
    s%\bis that %izzat %g;
    s%\bis that right %zatrot %g;
    s%\bis %iz %g;
    s%\bisn't it %hiduhnit %g;
    s%\bit appears%\bpears%g;
    s%\bit would%hid%g;
    s%\bit %hit %g;
    s%\bit'd %hid %g;
    s%\b(it's|it is)%hit's%g;
    s%\bjail%jayul%g;
    s%\bjanuary%janyawary%g;
    s%\bjeans%\bjanes%g;
    s%\bjet%jeyut%g;
    s%\bjewelry%julry%g;
    s%\bjuly%djoolie%g;
    s%\bjune%djoon%g;
    s%\bjust%gist%g;
    s%\bkind of%kinduh%g;
    s%\bking%kang%g;
    s%\blibrary%liberry%g;
    s%\blie%lah%g;
    s%\blife%lahf%g;
    s%\blight%lot%g;
    s%\blighter%lahter%g;
    s%\blike%lahk%g;
    s%\blittle%liddel%g;
    s%\blog%lawg%g;
    s%\blot of%lottuh%g;
    s%\blots of%lotsa%g;
    s%\blove%luv%g;
    s%\bmall%mawl%g;
    s%\bmarch%martch%g;
    s%\bmaterial%mahtearyul%g;
    s%\bmay%maey%g;
    s%\bme %may %g;
    s%\bmile%mahl%g;
    s%\bminute%minent%g;
    s%\bmonday%mundy%g;
    s%\bmosquito%skeeter%g;
    s%\bmoss%\bmawce%g;
    s%\bmother%ma%g;
    s%\bmroone%maroon%g;
    s%\bmy %mah %g;
    s%\bmyself%mahsef%g;
    s%\bnever%nevur%g;
    s%\bnine%nahn%g;
    s%\bnineteen%nontane%g;
    s%\bnineth%nonth%g;
    s%\bninety%nondy%g;
    s%\bno %naw %g;
    s%\bnothing%nuthun%g;
    s%\bnovember%noveyumbur%g;
    s%\bocean%oshun%g;
    s%\boctober%oktobur%g;
    s%\bof %uh %g;
    s%\boff%awf%g;
    s%\boil%all%g;
    s%\bold %ode %g;
    s%\bone of %wunna %g;
    s%\bone %wun %g;
    s%\bonly%monly%g;
    s%\bopposite%opsit%g;
    s%\borange%arnjuh%g;
    s%\bover there%ovare%g;
    s%\bover%ovur%g;
    s%\bparking%parkin%g;
    s%\bpeople%paypul%g;
    s%\bpicture%pitchur%g;
    s%\bpillow%pillar%g;
    s%\bpine%pahn%g;
    s%\bpink%pank%g;
    s%\bplease%playze%g;
    s%\bpretty%purdy%g;
    s%\bprobably%probly%g;
    s%\bpurple%burpel%g;
    s%\bqueen%kwane%g;
    s%\bquit%kewyut%g;
    s%\brather%ruthur%g;
    s%\bready%reddy%g;
    s%\breal%reeyul%g;
    s%\breally%rilly%g;
    s%\bred%rayud%g;
    s%\bright%rot%g;
    s%\bring%rang%g;
    s%\bsaid%sayud%g;
    s%\bsale%sayul%g;
    s%\b(sale|sail|sell)%sayul%g;
    s%\bsaturday%sadderdy%g;
    s%\bschool%skoo%g;
    s%\bscreen%skrane%g;
    s%\bsecond%sekunt%g;
    s%\bsee%say%g;
    s%\bseptember%ceptimbur%g;
    s%\bseven%sebum%g;
    s%\bseventeen%sebumtane%g;
    s%\bseventh%sebumthd%g;
    s%\bseventy%sebumdy%g;
    s%\bshe%shay%g;
    s%\bshirt%churt%g;
    s%\bsign%sahn%g;
    s%\bsilver%seeyulvur%g;
    s%\bsit%set%g;
    s%\bsixteen%sickstane%g;
    s%\bsixth%sicksed%g;
    s%\bsixty%sicksdy%g;
    s%\bsiz%sicks%g;
    s%\bsmell%smayul%g;
    s%\bsmile%smahl%g;
    s%\bsofter%sowftur%g;
    s%\bsome of those%sumoze%g;
    s%\bsome%sum%g;
    s%\bsomething%sumpn%g;
    s%\bsometime%sumtom%g;
    s%\bsouth%saowth%g;
    s%\bspeak%spake%g;
    s%\bspring%sprang%g;
    s%\bsprinkle%sprankul%g;
    s%\bstadium%stadyum%g;
    s%\bstation%stayshun%g;
    s%\bstring%strang%g;
    s%\bsunday%sundy%g;
    s%\bsure%shore%g;
    s%\b(tale|tail)%tayul%g;
    s%\btalk%tawk%g;
    s%\btalking%tawkin%g;
    s%\btall%tahl%g;
    s%\btan%tayun%g;
    s%\bten%teyun%g;
    s%\btenth%teyunth%g;
    s%\bterible%tarbul%g;
    s%\bterrible%tarbul%g;
    s%\b(that is|that's)%thets%g;
    s%\bthat%thet%g;
    s%\bthe only%thonly%g;
    s%\bthe other%thuther%g;
    s%\bthe%thuh%g;
    s%\btheir%thur%g;
    s%\bthere%thare%g;
    s%\bthere%thayure%g;
    s%\bthey%thay%g;
    s%\bthing%thang%g;
    s%\bthink%thank%g;
    s%\bthird%thurd%g;
    s%\bthirteen%thurtane%g;
    s%\bthirty%thurdy%g;
    s%\bthis%\bthus%g;
    s%\bthose%them%g;
    s%\bthousand%thousun%g;
    s%\bthree%thray%g;
    s%\bthrough%thoo%g;
    s%\bthrow%thow%g;
    s%\bthrow%throw%g;
    s%\bthrown%thowed%g;
    s%\bthursday%thursdy%g;
    s%\btie%tah%g;
    s%\btied%tahd%g;
    s%\btight%tot%g;
    s%\btime%tom%g;
    s%\bto %tuh %g;
    s%\btoday%tuhday%g;
    s%\btoilet%outhouse%g;
    s%\btold%tode%g;
    s%\btommorrow%tuhmorrow%g;
    s%\btree%tray%g;
    s%\btruck%truk%g;
    s%\btuesday%chewsdy%g;
    s%\btwelve%twayulv%g;
    s%\btwenty%twindy%g;
    s%\btwo %tew %g;
    s%\bunderstand%understaynd%g;
    s%\bused to%ustuh%g;
    s%\bvehicle%vee-hicul%g;
    s%\bvictory%viktray%g;
    s%\bviolation%vahlayshun%g;
    s%\bvirtual%vurchul%g;
    s%\bwant to %wonna %g;
    s%\bwas that%wuzzat%g;
    s%\bwas%\bwuz%g;
    s%\bwash%wartch%g;
    s%\bwater%warder%g;
    s%\bwe %way %g;
    s%\bwedding%wedden%g;
    s%\bwednesday%winsdy%g;
    s%\bwell%wayul%g;
    s%\bwere %wuz %g;
    s%\bwest %wayust %g;
    s%\bwhat did you%whudja%g;
    s%\bwhat did%whuddle%g;
    s%\bwhat do you%wadja%g;
    s%\bwhat is the matter"%smatter%g;
    s%\b(what is|what's)%whut%g;
    s%\bwhat%whut%g;
    s%\bwheel%whale%g;
    s%\bwhen%wheyun%g;
    s%\bwhere did you%whardja%g;
    s%\bwhere%whar%g;
    s%\bwhere%whayer%g;
    s%\bwhite%wot%g;
    s%\bwhy don't you%y-oncha%g;
    s%\bwhy%wha%g;
    s%\bwife%waf%g;
    s%\bwindow%wender%g;
    s%\bwinter%winner%g;
    s%\bwire%war%g;
    s%\bwith you%witchew%g;
    s%\bwoman%whoamun%g;
    s%\bwomen%wimmen%g;
    s%\bworld%warld%g;
    s%\bworse than%worsun%g;
    s%\byard%chard%g;
    s%\byellow%yuller%g;
    s%\byes%\bu-betcha%g;
    s%\byes%\byayus%g;
    s%\byou %yawl %g;
    s%\b(your are|you're)%yore%g;
    s%\byour%chur%g;
    convert_breaks($_);
}

sub valley {
    $_=shift;
    s% bad% mean%g;
    s% big % bitchin' %g;
    s% biggest% bitchin'est%g;
    s% body% bod%g;
    s% bore% drag%g;
    s% car % rod %g;
    s% dirty% grodie%g;
    s% filthy% grodie to thuh max%g;
    s% food% munchies%g;
    s% girl% chick%g;
    s% good% bitchin'%g;
    s% great% awesum%g;
    s% gross% grodie%g;
    s% guy% dude%g;
    s% her % that chick %g;
    s% her.% that chick.%g;
    s% him % that dude %g;
    s% him.% that dude.%g;
    s% house% pad%g;
    s% interesting% cool%g;
    s% large% awesum%g;
    s% leave% blow%g;
    s% man % nerd %g;
    s% meeting% party%g;
    s% movie% flick%g;
    s% music % tunes %g;
    s% neat% keen%g;
    s% nice% class%g;
    s% no way% just no way%g;
    s% people% guys%g;
    s% really% totally%g;
    s% strange% freaky%g;
    s% the % thuh %g;
    s% very% super%g;
    s% want% want%g;
    s% weird% far out%g;
    s% yes% fer shure%g;
    s%But %Man, %g;
    s%He %That dude %g;
    s%I like%I can dig%g;
    s%No,%Like, no way,%g;
    s%Sir%Man%g;
    s%She %That fox %g;
    s%This%Like, ya know, this%g;
    s%There%Like, there%g;
    s%We %Us guys %g;
    s%Yes,%Like,%g;

    s% (can be|can't be|should have been|shouldn't have been|should be|shouldn't be|was|wasn't|will be|won't be|is) %" $1 ".&rand("like, ya know, ", "_", "like wow! ", "ya know, like, ", "_", "_")." "%ge
    ||
    s% maybe %" maybe ".&rand("if you're a Pisces","if the moon is full","if the vibes are right","when you get the feeling", "_", "_")." "%ge
    ||
    s%, %&rand(", like,",", fer shure,",", like, wow,",", oh, baby,",", man,",", mostly,")." "%ge
    ||
    s%!%&rand("!  Gag me with a SPOOOOON!","!  Gag me with a pitchfork!","!  Oh, wow!")%ge;

    s%ing%in'%g;

    convert_breaks($_);
}

sub rand {
	my (@values)=@_;
	my $value=$values[rand(scalar @values)];
	return $value eq "_" ? "" : $value;
}

sub convert_breaks {
    MT::Util::html_text_transform($_[0]);
}

1;